## peirates 1.1.28

=== Makefile ===
PACKAGES:=$(shell go list ./... | grep -v /vendor/)

default: lint

gofmt:
	go fmt ./...

lint: gofmt
	$(GOPATH)/bin/golint $(PACKAGES)
	$(GOPATH)/bin/gosec -quiet -no-fail ./...
	$(GOPATH)/bin/golangci-lint run
	
update-deps:
	go clean -modcache
	go get -u ./...
	go mod tidy

=== deployments/Makefile ===
help:
	echo "This Makefile can create and push container images."
	echo 'To use the build and push Makefile targets, you must set the $IMG_REPO environment variable'
	echo 'To use the build-dev and push-dev Makefile targets, you must set the $IMG_REPO_DEV environment variable'

build:
	echo "building image and tagging with repo $(IMG_REPO) - this tag is stored in environment variable IMG_REPO"
	test $(IMG_REPO)
	docker-compose build peirates
	@echo "Size of image: $(shell docker image ls| grep ^peirates | grep -v dev | awk -F '  +' '{print $$5}')"
	@echo "Tagging image: $(shell docker image ls| grep ^peirates | grep -v dev | awk -F '  +' '{print $$3}')"
	docker tag $(shell docker image ls| grep ^peirates | grep -v dev | awk -F '  +' '{print $$3}') $(IMG_REPO):latest

build-dev:  dev

dev:
	echo "building image and tagging with repo $(IMG_REPO_DEV) - this tag is stored in environment varialbe IMG_REPO_DEV"
	test $(IMG_REPO_DEV)
	docker-compose build peirates-dev
	@echo "Size of image: $(shell docker image ls| grep ^peirates-dev | awk -F '  +' '{print $$5}')"
	@echo "Tagging image: $(shell docker image ls| grep ^peirates-dev | awk -F '  +' '{print $$3}')"
	docker tag $(shell docker image ls| grep ^peirates-dev | awk -F '  +' '{print $$3}') $(IMG_REPO_DEV):latest

.check-env-vars:
	@test $${CR_PAT?Push will fail. You need to export the CR_PAT token for GHCR}

push: .check-env-vars
	test $(IMG_REPO)
	docker push $(IMG_REPO):latest

push-dev: .check-env-vars
	test $(IMG_REPO_DEV)
	docker push $(IMG_REPO_DEV):latest

## peirates 1.1.14

=== debian/changelog ===
peirates (1.1.14-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Consistency with tabs to spaces

  [ Sophie Brun ]
  * New upstream version 1.1.14
  * Refresh patches
  * Add missing build-deps
  * d/rules: Adapt build
  * Add superficial autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Oct 2023 15:43:42 +0200

peirates (1.0.30-0kali2) kali-dev; urgency=medium

  * Do not use build.sh (specific to amd64)
  * Download kubernetes source code with apt-get source

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 17 Feb 2021 09:25:31 +0100

peirates (1.0.30-0kali1) kali-dev; urgency=medium

  * Initial release (See 7029)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Feb 2021 10:33:12 +0100

=== debian/control ===
Source: peirates
Section: golang
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               kubernetes-client,
               ca-certificates,
               git,
               golang-github-aws-aws-sdk-go-dev,
	       golang-github-trung-jwt-tools-dev,
	       golang-github-tidwall-pretty-dev,
	       golang-gopkg-square-go-jose.v2-dev
Standards-Version: 4.6.2
Vcs-Browser: https://gitlab.com/kalilinux/packages/peirates
Vcs-Git: https://gitlab.com/kalilinux/packages/peirates.git
Homepage: https://github.com/inguardians/peirates
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/inguardians/peirates
Testsuite: autopkgtest-pkg-go

Package: peirates
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Kubernetes Penetration Testing tool
 This package contains a Kubernetes penetration tool, enables an attacker to
 escalate privilege and pivot through a Kubernetes cluster. It automates known
 techniques to steal and collect service accounts, obtain further code
 execution, and gain control of the cluster.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	# download kubernetes source code with apt-get source instead of
	# go get -v "k8s.io/kubernetes/pkg/kubectl"
	mkdir $(CURDIR)/_build/src/k8s.io
	cd $(CURDIR)/_build/src/k8s.io && apt-get source kubernetes
	mv $(CURDIR)/_build/src/k8s.io/kubernetes-* $(CURDIR)/_build/src/k8s.io/kubernetes
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/tests/control ===
Test-Command: peirates -h
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%peirates-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/inguardians/peirates/tags .*/v?(\d\S*)\.tar\.gz debian

## peirates 1.1.28

=== debian/changelog ===
peirates (1.1.28-0kali1) kali-dev; urgency=medium

  * New upstream version 1.1.28
  * Update build deps
  * Drop patch, not needed anymore

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 18 Dec 2025 14:43:10 +0700

peirates (1.1.14-0kali2) kali-dev; urgency=medium

  * Drop 'Rules-Requires-Root: no' from d/control
  * Rework how to download the kubernetes source package, to fix FTBFS
  * Rework to use the k8s-kubectl-dev package from Debian
  * Add Static-Built-Using to appease Lintian
  * Drop Build-Depends not needed

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 18 Dec 2025 10:56:16 +0700

=== debian/control ===
Source: peirates
Section: golang
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               kubernetes-client,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-ergochat-readline-dev,
               golang-gopkg-yaml.v3-dev,
               golang-k8s-kubectl-dev,
Standards-Version: 4.7.2
Vcs-Browser: https://gitlab.com/kalilinux/packages/peirates
Vcs-Git: https://gitlab.com/kalilinux/packages/peirates.git
Homepage: https://github.com/inguardians/peirates
XS-Go-Import-Path: github.com/inguardians/peirates
Testsuite: autopkgtest-pkg-go

Package: peirates
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Static-Built-Using: ${misc:Static-Built-Using}
Description: Kubernetes Penetration Testing tool
 This package contains a Kubernetes penetration tool, enables an attacker to
 escalate privilege and pivot through a Kubernetes cluster. It automates known
 techniques to steal and collect service accounts, obtain further code
 execution, and gain control of the cluster.
